<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.tabstate');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');
JHtml::_('formbehavior.chosen', '#jform_catid', null, array('disable_search_threshold' => 0));
JHtml::_('formbehavior.chosen', 'select');
$this->tab_name = 'com-content-form';
$this->ignore_fieldsets = array('image-intro', 'image-full', 'jmetadata', 'item_associations');

// Create shortcut to parameters.
$params = $this->state->get('params');

// This checks if the editor config options have ever been saved. If they haven't they will fall back to the original settings.
$editoroptions = isset($params->show_publishing_options);

if (!$editoroptions)
{
	$params->show_urls_images_frontend = '0';
}

JFactory::getDocument()->addScriptDeclaration("
	Joomla.submitbutton = function(task)
	{
		if (task == 'article.cancel' || document.formvalidator.isValid(document.getElementById('adminForm')))
		{
			" . $this->form->getField('articletext')->save() . "
			Joomla.submitform(task);
		}
	}
");

//added ImagesTab
$app = JFactory::getApplication();
$imagestabLang =& JFactory::getLanguage();
$imagestabLang->load("plg_system_imagestab", JPATH_ADMINISTRATOR);
$pluginPathSite = JURI::root().'/plugins/system/imagestab/imagestab';
$document = JFactory::getDocument();
$document->addStyleSheet($pluginPathSite.'/assets/css/imagestab.css');

$plugin = JPluginHelper::getPlugin('system', 'imagestab');
$plgParams = class_exists('JParameter') ? new JParameter($plugin->params) : new JRegistry($plugin->params);
$img_limit = (int)$plgParams->get("limit", "");	
$timestamp = '?t=' . strtotime("now"); // stamp for prevent cache problems
JHtml::_('jquery.ui');
JHtml::_('jquery.ui', array('sortable'));
JHtml::_('behavior.modal');

?>

<!--added Images tab start-->
<script>
	jQuery.noConflict();
	jQuery(document).ready(function() {
		jQuery("body").append("<div class='form_loading'><img src='<?php echo JURI::root(); ?>plugins/system/imagestab/imagestab/assets/images/loading.png' /></div>");
		
		jQuery("#adminForm").on("submit", function() {
			jQuery(".form_loading").show();
		});
		
		jQuery("#imagestab a.addNewImage").click(function() {
			var image = parseInt(jQuery('#imagestab input.fileUpload').last().attr("name").slice(5));
			var newImage = image + 1;

			jQuery('#imagestab div.image_block:eq(0)').clone().insertBefore("#imagestab a.addNewImage");

			jQuery('#imagestab div.image_block').last().find('span.image_title').html("<?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT"); ?> " + newImage);

			jQuery('#imagestab div.image_block').last().find('input.fileUpload').attr("name", "image" + newImage).val("");
			jQuery('#imagestab div.image_block').last().find('input[name=image1_caption]').attr("name", "image"+newImage+"_caption").val("");
			jQuery('#imagestab div.image_block').last().find('input[name=image1_credits]').attr("name", "image"+newImage+"_credits").val("");
			jQuery('#imagestab div.image_block').last().find('tr').show();			
			jQuery('#imagestab div.image_block').last().find('tr.imagePreview').remove();			
			
			<?php if($app->isClient('site') && $img_limit != 0): ?>
			var img_limit = <?php echo $img_limit; ?>;
			if(newImage == img_limit) {
				jQuery("#imagestab a.addNewImage").after("<p><br /><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_LIMIT_TEXT"); ?></p>").remove();
			}
			<?php endif; ?>	
			
			return false;
		});
		
		//images ordering
		jQuery("#sortableImages").sortable({
			placeholder: "ui-state-highlight",
			update: function() {
				var value = '';
				jQuery("#sortableImages li").each(function() {
					value += jQuery(this).attr("rel") + "|";
				});
				jQuery("input[name=imagesOrdering]").val(value);
			}
		});
		jQuery("#sortableImages").disableSelection();
	});
</script>
<style>
	.form_loading {
		display: none;
		z-index: 10000;
		position: fixed;
		top: 0px;
		left: 0px;
		width: 100%;
		height: 100%;
		text-align: center;
		padding-top: 18%;
	}
	.form_loading img { max-width: 130px; }
</style>
<!--added Images tab end-->

<div class="edit item-page<?php echo $this->pageclass_sfx; ?>">
	<?php if ($params->get('show_page_heading')) : ?>
	<div class="page-header">
		<h1>
			<?php echo $this->escape($params->get('page_heading')); ?>
		</h1>
	</div>
	<?php endif; ?>
	
	<!-- added Images tab enctype="multipart/form-data" -->
	<form action="<?php echo JRoute::_('index.php?option=com_content&a_id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate form-vertical" enctype="multipart/form-data">
		<fieldset style="margin-left: -1px;">
			<?php echo JHtml::_('bootstrap.startTabSet', $this->tab_name, array('active' => 'editor')); ?>

			<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'editor', JText::_('COM_CONTENT_ARTICLE_CONTENT')); ?>
				<?php echo $this->form->renderField('title'); ?>

				<?php if (is_null($this->item->id)) : ?>
					<?php echo $this->form->renderField('alias'); ?>
				<?php endif; ?>

				<?php echo $this->form->getInput('articletext'); ?>

				<?php if ($this->captchaEnabled) : ?>
					<?php echo $this->form->renderField('captcha'); ?>
				<?php endif; ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
			
			<!-- added Images tab start -->
			<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'imagestab', JText::_('PLG_ARTICLEIMAGESGALLERYCK_TAB_TITLE')); ?>
				<?php
					$images = Array();
					if($this->item->id) {
						$db = JFactory::getDBO();
						plgSystemImagesTab::createImagesTable();
						$query = "SELECT * FROM #__content_images_data WHERE article_id = {$this->item->id} ORDER BY ABS(`order`) ASC";
						$db->setQuery($query);
						$images = $db->loadObjectList();
						
						foreach($images as $k=>$image) {
							$img_path = JURI::root() . $plgParams->get("img_path", "images/articles");					
							$img_path_file = JPATH_SITE . "/" . $plgParams->get("img_path", "images/articles");	
							
							//backward compatibility
							$img_path_separate = '/article' . $this->item->id;
							if(file_exists($img_path_file . $img_path_separate . "/thumb/" . $image->filename)) {
								$img_path .= $img_path_separate;
							}
							
							//backward compatibility fix
							if(count(explode("/", $image->filename)) > 1) {
								$image->img_src_path_full = JURI::root() . $image->filename;
								$image->img_thumb_path_full = JURI::root() . str_replace("src/", "thumb/", $image->filename);
								
							}
							else {
								$image->img_thumb_path_full = $img_path . "/thumb/" . $image->filename;
								$image->img_src_path_full = $img_path . "/src/" . $image->filename;
							}
							
							//backward compatibility
							if(strpos($image->filename, '.') === false) {
								$image->img_thumb_path_full .= '.jpg';
								$image->img_src_path_full .= '.jpg';
							}
							
							//backward compatibility
							$filecount = $k+1;
							if(file_exists(JPATH_SITE . '/media/articles/src/article'.$this->item->id.'_image'.$filecount.".jpg")) {
								$image->img_thumb_path_full = JURI::root().'/media/articles/thumb/article'.$this->item->id.'_image'.$filecount.'.jpg';
								$image->img_src_path_full = JURI::root().'/media/articles/src/article'.$this->item->id.'_image'.$filecount.'.jpg';
							}
								
							$image->img_thumb_path_full .= $timestamp;
							$image->img_src_path_full .= $timestamp;
						}
					}
				?>
				<?php if(count($images) > 1) { ?>
				<div class="imagesOrdering">
					<p style="margin-top: 20px;"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_ORDERING_TEXT'); ?></p>
					<ul id="sortableImages" style="padding-top: 0px; margin: 10px 0 10px 0;">
					<?php 	
					foreach($images as $k=>$image) {
						$filecount = $k+1;
					?>
					<li class="ui-state-default" rel="<?php echo $image->id; ?>">
						<img src="<?php echo $image->img_thumb_path_full; ?>" style="height: 75px; width: auto; margin-top: 0px;" />	
					</li>
					<?php 
					}
					?>
					</ul>					
					<input type="hidden" name="imagesOrdering" value="" />
				</div>
				<?php } ?>
			
				<?php 
				if($this->item->id) {
					if(count($images)) {
						foreach($images as $k=>$image) {
							$filecount = $k+1;
				?>
				<div class="image_block">
					<span class="image_title"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT')." ".$filecount; ?></span>
					<hr />
					<table class="imagetable">
						<tr style="display: none;">
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_SELECT_TEXT'); ?>
							</td>
							<td>
								<input type="file" name="image<?php echo $filecount; ?>" class="fileUpload btn" accept="image/gif, image/jpeg, image/png" />
								<i>(<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_UPLOAD_SIZE'); ?>: <?php echo ini_get('upload_max_filesize'); ?>)</i>
								<p></p>
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CAPTION'); ?>
							</td>
							<td>
								<input type="text" name="image<?php echo $filecount; ?>_caption" size="30" class="text_area" value="<?php echo $image->caption; ?>" />
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CREDITS'); ?>
							</td>
							<td>
								<input type="text" name="image<?php echo $filecount; ?>_credits" size="30" class="text_area" value="<?php echo $image->credits; ?>" />
							</td>
						</tr>
						<tr class="imagePreview">
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_PREVIEW'); ?>
							</td>
							<td>
								<a class="modal" rel="{handler: 'image'}" href="<?php echo $image->img_src_path_full; ?>" title="<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_PREVIEW_ORIGINAL'); ?>"><img alt="<?php echo $this->item->title; ?>" src="<?php echo $image->img_thumb_path_full; ?>" /></a>
								<br />		
								<input type="checkbox" name="del_image<?php echo $filecount; ?>" id="del_image<?php echo $filecount; ?>" />
								<label for="del_image<?php echo $filecount; ?>"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_DELETE'); ?></label>
							</td>
						</tr>							
					</table>
				</div>
				<?php	
						} 
					}
				} 
				?>

				<?php if(count($images) > 1) { ?>
				<label
					style="margin: 15px 0 0 97px;"
					onClick="
						document.querySelectorAll('[name*=del_image]').forEach(e => e.checked ^= 1);
						return false;
					"
				>
					<input type="checkbox" name="del_image_all" onClick="return false;" style="margin: 0px;" />
					Check all images for deleting
				</label>
				<?php } ?>
				
				<?php if(!count($images)) { ?>
				<div class="image_block">
					<span class="image_title"><?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_TEXT')." 1"; ?></span>
					<hr />
					<table class="imagetable">
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_SELECT_TEXT'); ?>
							</td>
							<td>
								<input type="file" name="image1" class="fileUpload btn" accept="image/gif, image/jpeg, image/png" />
								<i>(<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_UPLOAD_SIZE'); ?>: <?php echo ini_get('upload_max_filesize'); ?>)</i>
								<p></p>
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CAPTION'); ?>
							</td>
							<td>
								<input type="text" name="image1_caption" size="30" class="text_area" value="" />
							</td>
						</tr>
						<tr>
							<td align="right" class="key">
								<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_CREDITS'); ?>
							</td>
							<td>
								<input type="text" name="image1_credits" size="30" class="text_area" value="" />
							</td>
						</tr>					
					</table>
				</div>
				<?php } ?>

				<?php if($img_limit > 0 && $filecount > $img_limit && $app->isClient('site')) : ?>
					<p><br /><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_LIMIT_TEXT"); ?></p>
				<?php else: ?>					
					<a href="#" class="addNewImage" style="font-size: 14px;"><?php echo JText::_("PLG_ARTICLEIMAGESGALLERYCK_ADD_NEW_IMAGE_TEXT"); ?></a>				
					<?php if(!$app->isClient('site')) : ?>
					<div class="multipleUpload" style="font-size: 12px;">
						<?php echo JText::_('PLG_ARTICLEIMAGESGALLERYCK_IMAGE_NEW_MULTIPLE'); ?> &nbsp;
						<input multiple="multiple" type="file" name="image_multiple[]" class="fileUploadMultiple" accept="image/gif, image/jpeg, image/png" />
						<input type="hidden" name="image_multiple_start" value="1" />
					</div>
					<?php endif; ?>
				<?php endif; ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
			<!-- added Images tab end -->

			<?php if ($params->get('show_urls_images_frontend')) : ?>
			<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'images', JText::_('COM_CONTENT_IMAGES_AND_URLS')); ?>
				<?php echo $this->form->renderField('image_intro', 'images'); ?>
				<?php echo $this->form->renderField('image_intro_alt', 'images'); ?>
				<?php echo $this->form->renderField('image_intro_caption', 'images'); ?>
				<?php echo $this->form->renderField('float_intro', 'images'); ?>
				<?php echo $this->form->renderField('image_fulltext', 'images'); ?>
				<?php echo $this->form->renderField('image_fulltext_alt', 'images'); ?>
				<?php echo $this->form->renderField('image_fulltext_caption', 'images'); ?>
				<?php echo $this->form->renderField('float_fulltext', 'images'); ?>
				<?php echo $this->form->renderField('urla', 'urls'); ?>
				<?php echo $this->form->renderField('urlatext', 'urls'); ?>
				<div class="control-group">
					<div class="controls">
						<?php echo $this->form->getInput('targeta', 'urls'); ?>
					</div>
				</div>
				<?php echo $this->form->renderField('urlb', 'urls'); ?>
				<?php echo $this->form->renderField('urlbtext', 'urls'); ?>
				<div class="control-group">
					<div class="controls">
						<?php echo $this->form->getInput('targetb', 'urls'); ?>
					</div>
				</div>
				<?php echo $this->form->renderField('urlc', 'urls'); ?>
				<?php echo $this->form->renderField('urlctext', 'urls'); ?>
				<div class="control-group">
					<div class="controls">
						<?php echo $this->form->getInput('targetc', 'urls'); ?>
					</div>
				</div>
			<?php echo JHtml::_('bootstrap.endTab'); ?>
			<?php endif; ?>

			<?php echo JLayoutHelper::render('joomla.edit.params', $this); ?>

			<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'publishing', JText::_('COM_CONTENT_PUBLISHING')); ?>
				<?php echo $this->form->renderField('catid'); ?>
				<?php echo $this->form->renderField('tags'); ?>
				<?php if ($params->get('save_history', 0)) : ?>
					<?php echo $this->form->renderField('version_note'); ?>
				<?php endif; ?>
				<?php if ($params->get('show_publishing_options', 1) == 1) : ?>
					<?php echo $this->form->renderField('created_by_alias'); ?>
				<?php endif; ?>
				<?php if ($this->item->params->get('access-change')) : ?>
					<?php echo $this->form->renderField('state'); ?>
					<?php echo $this->form->renderField('featured'); ?>
					<?php if ($params->get('show_publishing_options', 1) == 1) : ?>					
						<?php echo $this->form->renderField('publish_up'); ?>
						<?php echo $this->form->renderField('publish_down'); ?>
					<?php endif; ?>
				<?php endif; ?>
				<?php echo $this->form->renderField('access'); ?>
				<?php if (is_null($this->item->id)) : ?>
					<div class="control-group">
						<div class="control-label">
						</div>
						<div class="controls">
							<?php echo JText::_('COM_CONTENT_ORDERING'); ?>
						</div>
					</div>
				<?php endif; ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>

			<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'language', JText::_('JFIELD_LANGUAGE_LABEL')); ?>
				<?php echo $this->form->renderField('language'); ?>
			<?php echo JHtml::_('bootstrap.endTab'); ?>

			<?php if ($params->get('show_publishing_options', 1) == 1) : ?>	
				<?php echo JHtml::_('bootstrap.addTab', $this->tab_name, 'metadata', JText::_('COM_CONTENT_METADATA')); ?>
					<?php echo $this->form->renderField('metadesc'); ?>
					<?php echo $this->form->renderField('metakey'); ?>
				<?php echo JHtml::_('bootstrap.endTab'); ?>
			<?php endif; ?>

			<?php echo JHtml::_('bootstrap.endTabSet'); ?>

			<input type="hidden" name="task" value="" />
			<input type="hidden" name="return" value="<?php echo $this->return_page; ?>" />
			<?php echo JHtml::_('form.token'); ?>
		</fieldset>
		<div class="btn-toolbar">
			<div class="btn-group">
				<button type="button" class="btn btn-primary" onclick="Joomla.submitbutton('article.save')">
					<span class="icon-ok"></span><?php echo JText::_('JSAVE') ?>
				</button>
			</div>
			<div class="btn-group">
				<button type="button" class="btn" onclick="Joomla.submitbutton('article.cancel')">
					<span class="icon-cancel"></span><?php echo JText::_('JCANCEL') ?>
				</button>
			</div>
			<?php if ($params->get('save_history', 0) && $this->item->id) : ?>
			<div class="btn-group">
				<?php echo $this->form->getInput('contenthistory'); ?>
			</div>
			<?php endif; ?>
		</div>
	</form>
</div>
